# Get segment by ID

Returns the segment with the supplied ID along with IDs of its associated analyses.

Endpoint: GET /assessments/v1/segments/{id}
Version: 1
Security: bearer, appkey

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

## Path parameters:

  - `id` (integer, required)
    Segment ID

## Header parameters:

  - `slb-contract-id` (string, required)
    Delfi Contract ID

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (text/plain):

  - `id` (integer, required)
    The unique identifier.

  - `name` (string)
    The name of the folder (basin, play, segment or prospect).

  - `hasPolygon` (boolean)
    Indicates whether the folder has a related polygon.

  - `children` (array)
    Child folders.

  - `children.id` (integer, required)
    The unique identifier.

  - `children.name` (string)
    The name of the folder (basin, play, segment or prospect).

  - `children.type` (string)
    The type of geological structure object, i.e. basin, play, segment or prospect.

  - `children.hasPolygon` (boolean)
    Indicates whether the folder has a related polygon.

  - `children.children` (array)
    Child folders.

  - `children.analysis` (array)
    Analyses associated with this folder.

  - `children.analysis.id` (integer)
    The unique analysis ID.

  - `children.analysis.name` (string)
    The analysis name.

  - `children.analysis.type` (string)
    The analysis type (prospect, segment, play).

  - `children.analysis.modifiedDate` (string)
    The date and time the analysis was last modified.

  - `children.analysis.modifiedUserName` (string)
    The user name of the person last modifying the analysis.

  - `children.analysis.modifiedRealName` (string)
    The real name of the person last modifying the analysis.

  - `children.analysis.version` (string)
    The version of the analysis.

  - `children.analysis.isExternal` (boolean)
    Is external flag.

  - `children.parentFolderId` (integer)
    ID of the parent folder.
0 if the parent folder is a root-level basin.

  - `analysis` (array)
    Analyses associated with this folder.

  - `parentFolderId` (integer)
    ID of the parent folder.
0 if the parent folder is a root-level basin.

  - `type` (string)
    The type of geological structure object, in this case a segment.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 500:

  - `500` (unknown)
    Internal Server Error

